#ifndef _PROTOCOL_MANAGER_H_
#define _PROTOCOL_MANAGER_H_

#include <Looper.h>
#include <Locker.h>
#include "constants.h"

// The all-powerful Protocol Manager class
class ProtocolManager : public BLooper {

	public:
		ProtocolManager();
		void Close();
		
		void SetProgramUser( char* user );
		void GetProgramUser( char* user );
		
		void TranslatePersonToDisplay( unsigned int proto, char* name, char* dn );
		
	private:
		BLocker* lock;
		char ProgramUser[DISPLAY_NAME_MAX];
};

#endif

